classification
Title: Fix NPN guard for OpenSSL 1.1
Type: compile error Stage: resolved
Components: SSL Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes, msopacua, ned.deily
Priority: normal Keywords:

Created on 2017-06-10 15:08 by msopacua, last changed 2018-03-28 18:27 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2079 merged msopacua, 2017-06-10 15:08
PR 3314 merged christian.heimes, 2017-09-04 21:37
PR 3316 merged christian.heimes, 2017-09-04 21:45
PR 5341 closed python-dev, 2018-01-26 10:44
PR 5343 closed python-dev, 2018-01-26 11:15
PR 5859 merged christian.heimes, 2018-02-24 20:44
PR 5860 merged miss-islington, 2018-02-24 21:12
PR 5861 merged christian.heimes, 2018-02-24 23:21
PR 5863 merged christian.heimes, 2018-02-24 23:27
PR 5876 merged christian.heimes, 2018-02-25 09:58
PR 5880 merged miss-islington, 2018-02-25 11:32
PR 5881 merged christian.heimes, 2018-02-25 12:12
PR 5882 merged christian.heimes, 2018-02-25 12:17
PR 6102 merged christian.heimes, 2018-03-13 09:34
Messages (15)
msg295643 - (view) Author: Melvyn Sopacua (msopacua) * Date: 2017-06-10 15:08
Starting OpenSSL 1.1, the variable OPENSSL_NPN_NEGOTIATED is always defined. This makes the NPN detection fail.

Related info: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=217703
msg301268 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-04 21:35
New changeset b2d096bd2a5ff86e53c25d00ee5fa097b36bf1d8 by Christian Heimes (Melvyn Sopacua) in branch 'master':
bpo-30622: Change NPN detection: (#2079)
https://github.com/python/cpython/commit/b2d096bd2a5ff86e53c25d00ee5fa097b36bf1d8
msg301281 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-04 23:11
New changeset 72ed233167b10d3a488d30a8ec3a17e412a7dd69 by Christian Heimes in branch '2.7':
[2.7] bpo-30622: Change NPN detection: (GH-2079) (#3316)
https://github.com/python/cpython/commit/72ed233167b10d3a488d30a8ec3a17e412a7dd69
msg301312 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-05 14:00
New changeset 7316c6d4a57931e9786c06eae168b227d7463317 by Christian Heimes in branch '3.6':
[3.6] bpo-30622: Change NPN detection: (GH-2079) (#3314)
https://github.com/python/cpython/commit/7316c6d4a57931e9786c06eae168b227d7463317
msg301313 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-05 14:06
Thanks for your patch!

I have merged it into master, 3.6, and 2.7. The other branches are in security fix-only mode.
msg312757 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-24 21:12
New changeset 6cdb7954b0a578d899e4b78b868ea59eef08480a by Christian Heimes in branch 'master':
bpo-30622: Improve NPN support detection (#5859)
https://github.com/python/cpython/commit/6cdb7954b0a578d899e4b78b868ea59eef08480a
msg312762 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-24 22:04
New changeset 01d9c23e470d708b922a1085347404000e985c0f by Christian Heimes (Miss Islington (bot)) in branch '3.7':
[3.7] bpo-30622: Improve NPN support detection (GH-5859) (#5860)
https://github.com/python/cpython/commit/01d9c23e470d708b922a1085347404000e985c0f
msg312788 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-25 09:20
New changeset 48707a1baf4fd553fbc4516d9080cb3968af21aa by Christian Heimes in branch '3.6':
[3.6] bpo-30622: Improve NPN support detection (GH-5859) (#5861)
https://github.com/python/cpython/commit/48707a1baf4fd553fbc4516d9080cb3968af21aa
msg312789 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-25 09:21
New changeset 3d87f4cf9c19da9fe8ae8f91f5bb86e642b74a50 by Christian Heimes in branch '2.7':
[2.7] bpo-30622: Improve NPN support detection (GH-5859) (#5863)
https://github.com/python/cpython/commit/3d87f4cf9c19da9fe8ae8f91f5bb86e642b74a50
msg312803 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-25 11:31
New changeset 29eab55309b9f78b79074d26db16a44e7841c639 by Christian Heimes in branch 'master':
bpo-30622: Fix NPN for OpenSSL 1.1.1-pre1 (#5876)
https://github.com/python/cpython/commit/29eab55309b9f78b79074d26db16a44e7841c639
msg312807 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-25 12:18
New changeset 961774184eb950e2547ab0d42653439adc735924 by Christian Heimes (Miss Islington (bot)) in branch '3.7':
[3.7] bpo-30622: Fix NPN for OpenSSL 1.1.1-pre1 (GH-5876) (#5880)
https://github.com/python/cpython/commit/961774184eb950e2547ab0d42653439adc735924
msg312811 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-25 13:28
New changeset df1732a4734190fefc8814687895fc1168716c37 by Christian Heimes in branch '2.7':
[2.7] bpo-30622: Fix NPN for OpenSSL 1.1.1-pre1 (GH-5876) (#5882)
https://github.com/python/cpython/commit/df1732a4734190fefc8814687895fc1168716c37
msg312812 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-02-25 13:29
New changeset a79591cfb81dde65bb2f891d62de0161c23a4ff4 by Christian Heimes in branch '3.6':
[3.6] bpo-30622: Fix NPN for OpenSSL 1.1.1-pre1 (GH-5876) (#5881)
https://github.com/python/cpython/commit/a79591cfb81dde65bb2f891d62de0161c23a4ff4
msg313811 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-03-14 06:40
New changeset 0ec0290a075ad3ac7d9990efd701c81da16293c0 by Christian Heimes in branch '3.6':
bpo-30622: Fix backport of NPN fix (#6102)
https://github.com/python/cpython/commit/0ec0290a075ad3ac7d9990efd701c81da16293c0
msg314616 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-03-28 18:27
New changeset 15b6400d6439aad9859faba91ce297dfeae8d31d by Ned Deily (Christian Heimes) in branch '3.6':
bpo-30622: Fix backport of NPN fix (#6102)
https://github.com/python/cpython/commit/15b6400d6439aad9859faba91ce297dfeae8d31d
History
Date User Action Args
2018-03-28 18:27:17ned.deilysetnosy: + ned.deily
messages: + msg314616
2018-03-14 06:40:28christian.heimessetmessages: + msg313811
2018-03-13 09:34:07christian.heimessetpull_requests: + pull_request5865
2018-02-25 20:32:28christian.heimeslinkissue32378 superseder
2018-02-25 13:29:02christian.heimessetmessages: + msg312812
2018-02-25 13:28:57christian.heimessetmessages: + msg312811
2018-02-25 12:18:46christian.heimessetmessages: + msg312807
2018-02-25 12:17:46christian.heimessetpull_requests: + pull_request5657
2018-02-25 12:12:24christian.heimessetpull_requests: + pull_request5656
2018-02-25 11:32:42miss-islingtonsetpull_requests: + pull_request5654
2018-02-25 11:31:35christian.heimessetmessages: + msg312803
2018-02-25 09:58:02christian.heimessetpull_requests: + pull_request5649
2018-02-25 09:21:06christian.heimessetmessages: + msg312789
2018-02-25 09:20:49christian.heimessetmessages: + msg312788
2018-02-24 23:27:28christian.heimessetpull_requests: + pull_request5638
2018-02-24 23:21:44christian.heimessetpull_requests: + pull_request5636
2018-02-24 22:04:29christian.heimessetmessages: + msg312762
2018-02-24 21:12:49miss-islingtonsetpull_requests: + pull_request5635
2018-02-24 21:12:43christian.heimessetmessages: + msg312757
2018-02-24 20:44:15christian.heimessetpull_requests: + pull_request5634
2018-01-26 11:15:23python-devsetpull_requests: + pull_request5189
2018-01-26 10:44:05python-devsetpull_requests: + pull_request5187
2017-09-05 14:06:39christian.heimessetstatus: open -> closed
versions: + Python 3.7, - Python 3.3, Python 3.4, Python 3.5
type: compile error
messages: + msg301313

resolution: fixed
stage: resolved
2017-09-05 14:00:56christian.heimessetmessages: + msg301312
2017-09-04 23:11:42christian.heimessetmessages: + msg301281
2017-09-04 21:45:41christian.heimessetpull_requests: + pull_request3343
2017-09-04 21:37:34christian.heimessetpull_requests: + pull_request3341
2017-09-04 21:35:17christian.heimessetmessages: + msg301268
2017-06-10 15:08:14msopacuacreate